/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { Construct } from "constructs";
interface MetricInfo {
    readonly metric: string;
}
declare const PACKAGE_METRIC_INFO: {
    readonly identity: {
        readonly metric: "c1";
    };
    readonly "pdk-nag": {
        readonly metric: "c2";
    };
    readonly "static-website": {
        readonly metric: "c3";
    };
    readonly "type-safe-rest-api": {
        readonly metric: "c4";
    };
    readonly "type-safe-websocket-api": {
        readonly metric: "c5";
    };
    readonly "cdk-graph": {
        readonly metric: "c6";
    };
    readonly "cdk-graph-plugin-diagram": {
        readonly metric: "c7";
    };
    readonly "cdk-graph-plugin-threat-composer": {
        readonly metric: "c8";
    };
};
export type PdkPackage = keyof typeof PACKAGE_METRIC_INFO;
/**
 * Add construct metric info
 */
export declare const addMetric: (scope: Construct, pkg: PdkPackage) => void;
/**
 * Gets registered metrics from the construct tree
 */
export declare const getUniqueMetrics: (scope: Construct) => MetricInfo[];
export {};
